/* -------------------------------------------------- */

/*   $ > AOX Init (v2.0.1) - 04/04/23

/* -------------------------------------------------- */

/* ======================================== */
/*  Init
/* ======================================== */

/*

1920 > 1740px(*) => Fixed
1699px > 768px => Fluid
767px > 520px => Fixed
519px > 320px => Fluid

(*) 1740px = Content = margin left (50px) + content width (1640px) + margin right (50px)

*/

:root {

	--aox-1px: 1px;

    --aox-grid: var(--aox-1640px);
	--aox-gutter: var(--aox-16px);
	--aox-columns: 12;
	
	--aox-fs-viewport-width: 1920px;
	--aox-fs-max-width: 1920;
	--aox-fs-min-width: calc(var(--aox-fs-max-width) * 0.75);

	}

/***/

@media screen and (max-width: 1920px) {

	:root {

		--aox-1px: calc(100vw / 1920);

		--aox-fs-viewport-width: 100vw;
		
		}
	
	}

/***/

@media screen and (max-width: 767px) {

	:root {

		--aox-1px: calc(520px / 420);
		
		--aox-grid: var(--aox-370px);
		--aox-gutter: var(--aox-20px);

		--aox-fs-max-width: 420;
		--aox-fs-min-width: 320;
		--aox-fs-viewport-width: 520px;
		
		}
	
	}

/***/

@media screen and (max-width: 520px) {
	
	:root {
	
		--aox-1px: calc(100vw / 420);
	
		--aox-fs-viewport-width: 100vw;
	
		}
	
	}